package com.hzya.frame.grpU8.nxproof.glZtcs.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.grpU8.nxproof.glZtcs.entity.SenderGlZtcsEntity;

import java.util.List;

/**
 * (gl_ztcs: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-20 09:45:03
 */
public interface ISenderGlZtcsDao extends IBaseDao<SenderGlZtcsEntity, String> {
    /**
     *
     * @content 查询账套信息  卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 10:11
     * **/
    List<SenderGlZtcsEntity> querySenderGlZtcsEntity(SenderGlZtcsEntity senderGlZtcsEntity);
    
    /**
     * 
     * @content 保存账套信息到账套日志表中 卫生院
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2024/6/27 15:33
     * **/
    SenderGlZtcsEntity saveSenderGlZtcsEntity(SenderGlZtcsEntity senderGlZtcsEntity);

    /**
     *
     * @content 更新账套信息到账套日志表中 卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/27 15:36
     * **/
    SenderGlZtcsEntity updateSenderGlZtcsEntity(SenderGlZtcsEntity senderGlZtcsEntity);

    /**
     *
     * @content 查询账套信息  卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 10:11
     * **/
    List<SenderGlZtcsEntity> queryGlZtcsHealthBureau(SenderGlZtcsEntity senderGlZtcsEntity);

    /**
     *
     * @content 保存账套信息 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/27 15:33
     * **/
    SenderGlZtcsEntity saveGlZtcsHealthBureau(SenderGlZtcsEntity senderGlZtcsEntity);

    /**
     *
     * @content 更新账套信息 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/27 15:36
     * **/
    SenderGlZtcsEntity updateGlZtcsHealthBureau(SenderGlZtcsEntity senderGlZtcsEntity);

    /**
     *
     * @content 删除账套信息 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/8/9 17:23
     * **/
    Integer deleteGlZtcsHealthBureau(SenderGlZtcsEntity senderGlZtcsEntity);




}

