package com.hzya.frame.report.lets.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * TOC退货Excel报表导出
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.report.lets.dto
 * @Project：kangarooDataCenterV3
 * @name：TocofsSaleoutDetailedDto
 * @Date：2024/10/30 14:59
 * @Filename：TocofsSaleoutDetailedDto
 */
@Data
public class TobofsReturnGoodsDetailedDto {

    @ExcelProperty(value = "O入库单明细主键")
    private String id;
    @ExcelProperty(value = "O货主编码")
    private String headCompanyCode;
    @ExcelProperty(value = "O仓库编码")
    private String headFacilityCode;
    @ExcelProperty(value = "O平台编码")
    private String headSourcePlatformCode;
    @ExcelProperty(value = "O店铺编码")
    private String headStoreCode;
    @ExcelProperty(value = "O售后入库单编码")
    private String headCode;
    @ExcelProperty(value = "O中台业务类型")
    private String businessType;
    @ExcelProperty(value = "O货品sku")
    private String skuCode;
    @ExcelProperty(value = "O货品名称")
    private String skuName;
    @ExcelProperty(value = "O实入数量")
    private String receivedQty;

    //TOC退货-库存 开始
    @ExcelProperty(value = "O退货入库时间")
    private String businessDate;
    @ExcelProperty(value = "库存-报错详情")
    private String newTransmitInfo;
    @ExcelProperty(value = "库存-推送时间")
    private String newPushDate;
    @ExcelProperty(value = "库存-推送状态")
    private String newState;
    @ExcelProperty(value = "库存-U8C单号")
    private String newSystemNumber;
    @ExcelProperty(value = "库存-U8C主键")
    private String newSystemPrimary;
    //TOC退货-库存 结束

    //TOC退货-交易成功 开始
    @ExcelProperty(value = "O退款完成时间")
    private String refundedAt;
    @ExcelProperty(value = "交易成功-报错详情")
    private String newTransmitInfo2;
    @ExcelProperty(value = "交易成功-推送时间")
    private String newPushDate2;
    @ExcelProperty(value = "交易成功-推送状态")
    private String newState2;
    @ExcelProperty(value = "交易成功-下游单号")
    private String newSystemNumber2;
    @ExcelProperty(value = "交易成功-下游主键")
    private String newSystemPrimary2;
    //TOC退货-交易成功 结束
}
