package com.hzya.frame.plugin.lets.dingtalk.entity;

import com.hzya.frame.web.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * (DingU8cBill)实体类
 *
 * @author makejava
 * @since 2024-10-28 15:45:32
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DingU8cBillEntity extends BaseEntity {
 
  /**  公司主键 */
   private String u8cPkCorp;
  /**  公司编码 */
   private String u8cCodeCorp;
  /**  u8c单据类型 */
   private String u8cBillType;
  /**  u8c单据号 */
   private String u8cBillCode;
  /**  u8c单据主键 */
   private String u8cBillId;
  /**  是否推送成功 */
   private String pushStatus;
  /**  推送日志 */
   private String pushInfo;
  /**  钉钉审批实例id */
   private String dingTalkProcessId;
   /** 钉钉返回结果 */
   private String ding_res;
   /** 是否审核 Y 、 N */
   private String approve;
   /** D钉钉发起，U u8c发起 */
   private String initiate="U";

    public DingU8cBillEntity(String u8cPkCorp, String u8cCodeCorp, String u8cBillType, String u8cBillCode, String u8cBillId, String pushStatus, String pushInfo, String dingTalkProcessId, String ding_res) {
        this.u8cPkCorp = u8cPkCorp;
        this.u8cCodeCorp = u8cCodeCorp;
        this.u8cBillType = u8cBillType;
        this.u8cBillCode = u8cBillCode;
        this.u8cBillId = u8cBillId;
        this.pushStatus = pushStatus;
        this.pushInfo = pushInfo;
        this.dingTalkProcessId = dingTalkProcessId;
        this.ding_res = ding_res;
    }
}

